Bug 1267121 - SmartState Analysis failed with [undefined method `diskObj' for nil:NilClass]
SmartState Analysis failed with [undefined method `diskObj' for nil:NilClass]
Status: CLOSED WORKSFORME
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Hui Song
Dave Johnson
: ZStream
Depends On:
Blocks: 1267597
  Show dependency treegraph
 
Reported: 2015-09-28 23:42 EDT by Chen
Modified: 2015-12-01 14:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1267597 (view as bug list)
Environment:
Last Closed: 2015-12-01 14:59:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evm.log (3.74 MB, application/x-gzip)
2015-09-28 23:42 EDT, Chen
no flags Details
evm.log with debug module replaced (1.66 MB, application/x-gzip)
2015-10-30 03:19 EDT, Chen
no flags Details

  None (edit)
Description Chen 2015-09-28 23:42:27 EDT
Created attachment 1078157 [details]
evm.log

Description of problem:

SmartState Analysis failed with [undefined method `diskObj' for nil:NilClass]

Version-Release number of selected component (if applicable):

CFME 5.4

Two data centres in RHEV and one is FC the other one is NFS. The only one CFME appliance resides in the FC storage domain.

The problematic VM is in NFS storage domain.


How reproducible:

100%


Actual results:


[----] E, [2015-09-29T09:50:58.836497 #30126:377e90] ERROR -- : Q-task_id([8507ebb8-6622-11e5-8e1a-001a4a405620]) Unable to mount filesystem.  Reason:[undefined method `diskObj' for nil:NilClass] for VM [/mnt/vm/8507ebb8-6622-11e5-8e1a-0
01a4a405620/rhev/data-center/da3dee7f-2099-4dfc-8820-f348627166c1/mastersd/master/vms/ae094ab8-5f02-475a-ae22-8557f5acc8b8/ae094ab8-5f02-475a-ae22-8557f5acc8b8.ovf]

Expected results:

The SmartState Analysis should succeed

Additional info:
Comment 2 Chen 2015-09-28 23:45:33 EDT
The database of RHEVM has been collected as log collector and it has been uploaded to dropbox. 

Filename: sosreport-LogCollector-20150928094340.tar.xz
Comment 5 Chen 2015-10-07 22:07:42 EDT
Hi Song,

Sorry for the confusion. The test environment is not as same as the customer's so in my test environment there is not such a failed VM.

Please let me know what information you need to investigate the issue further. The sosreport of lrlwks01 or something else.

Thank you !

Chen
Comment 7 Chen 2015-10-08 21:26:17 EDT
Hi Hui,

No, I can not reproduce this issue in my environment but my customer can. So please let me know what information you need to confirm and I can request those from my customer.

Chen
Comment 9 Chen 2015-10-22 05:09:15 EDT
Hi Hui,

Yes. Please send me the debug method and I'll ask the customer to apply it and reproduce the issue.

Also please let me know what logs you need to collect.

Best Regards,
Chen
Comment 11 Chen 2015-10-30 03:19 EDT
Created attachment 1087823 [details]
evm.log with debug module replaced

Note You need to log in before you can comment on or make changes to this bug.